import { Hono } from "hono/tiny";
import { createRoute } from "../../modules/api-utils/createRoute";
import { credentials } from "../../managers/credentials";
import { apiResponse } from "../../modules/api-utils/apiResponse";
import { ContentfulStatusCode } from "hono/utils/http-status";
import { authMiddleware } from "../middleware/authorization";

/* /v1/credential/:id */
export default createRoute(
  "delete",
  ["/credentials/:id"],

  async (c) => {
    await credentials.delete(c.req.param("id"));

    const response = apiResponse.successful(
      "Credential Deleted Successfully!",
      null,
    );
    return c.json(response, response.status as ContentfulStatusCode);
  },
  authMiddleware({ permissions: ["credential.delete"] }),
);
